Buy
get
Authorizations
AuthorizationstringRequired
Query parameters
fiatstringRequired
cryptostringRequired
amountnumber · doubleRequired
paymentMethodstringOptionalDefault:
creditcarduuidstringOptionalDefault:
""clientNamestringOptionalDefault:
""countrystringOptionalDefault:
""Header parameters
AuthorizationstringRequired
Responses
200
Ok
application/json
Represents an array of Quote objects.
idstringRequired
typestringRequired
toolstringRequired
get/onramper/quotes/buy
GET /onramper/quotes/buy?fiat=text&crypto=text&amount=1 HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Accept: */*
200
Ok
[
{
"id": "text",
"type": "text",
"tool": "text",
"action": {
"fromChainId": 1,
"fromAmount": "text",
"fromToken": {
"address": "text",
"chainId": 1,
"symbol": "text",
"decimals": 1,
"name": "text",
"coinKey": "text",
"logoURI": "text",
"priceUSD": "text"
},
"fromAddress": "text",
"toChainId": 1,
"toToken": {
"address": "text",
"chainId": 1,
"symbol": "text",
"decimals": 1,
"name": "text",
"coinKey": "text",
"logoURI": "text",
"priceUSD": "text"
},
"toAddress": "text",
"slippage": 1
},
"estimate": {
"fromAmount": "text",
"toAmount": "text",
"toAmountMin": "text",
"approvalAddress": "text",
"gasCosts": [
{
"type": "text",
"price": "text",
"estimate": "text",
"limit": "text",
"amount": "text",
"amountUSD": "text",
"token": {
"address": "text",
"symbol": "text",
"name": "text",
"decimals": 1,
"logoURI": "text"
}
}
],
"executionDuration": 1,
"feeCosts": [
{
"name": "text",
"percentage": 1,
"token": {
"name": "text",
"address": "text",
"symbol": "text",
"decimals": 1,
"logoURI": "text",
"chainId": 1
},
"amount": 1
}
],
"fromAmountUSD": "text",
"toAmountUSD": "text"
},
"includedSteps": [
{
"id": "text",
"type": "text",
"tool": "text",
"action": {
"fromChainId": 1,
"fromAmount": "text",
"fromToken": {
"address": "text",
"chainId": 1,
"symbol": "text",
"decimals": 1,
"name": "text",
"coinKey": "text",
"logoURI": "text",
"priceUSD": "text"
},
"fromAddress": "text",
"toChainId": 1,
"toToken": {
"address": "text",
"chainId": 1,
"symbol": "text",
"decimals": 1,
"name": "text",
"coinKey": "text",
"logoURI": "text",
"priceUSD": "text"
},
"toAddress": "text",
"slippage": 1
},
"estimate": {
"fromAmount": "text",
"toAmount": "text",
"toAmountMin": "text",
"approvalAddress": "text",
"gasCosts": [
{
"type": "text",
"price": "text",
"estimate": "text",
"limit": "text",
"amount": "text",
"amountUSD": "text",
"token": {
"address": "text",
"symbol": "text",
"name": "text",
"decimals": 1,
"logoURI": "text"
}
}
],
"executionDuration": 1,
"feeCosts": [
{
"name": "text",
"percentage": 1,
"token": {
"name": "text",
"address": "text",
"symbol": "text",
"decimals": 1,
"logoURI": "text",
"chainId": 1
},
"amount": 1
}
],
"fromAmountUSD": "text",
"toAmountUSD": "text"
}
}
],
"transactionRequest": {
"nonce": "text",
"data": "text",
"value": "text",
"to": "text",
"from": "text",
"maxFeePerGas": "text",
"maxPriorityFeePerGas": "text"
}
}
]